- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Properties

# QFrame Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qframe.h.

`#include <qframe.h>`

Inheritance diagram for QFrame:
[legend]

List of all members.

## Public Types
enum | Shape { NoFrame = 0, Box = 0x0001, Panel = 0x0002, WinPanel = 0x0003, HLine = 0x0004, VLine = 0x0005, StyledPanel = 0x0006 }
enum | Shadow { Plain = 0x0010, Raised = 0x0020, Sunken = 0x0030 }
enum | StyleMask { Shadow_Mask = 0x00f0, Shape_Mask = 0x000f }
## Public Member Functions
| QFrame (QWidget *parent=0, Qt::WindowFlags f=0)
| ~QFrame ()
int | frameStyle () const
void | setFrameStyle (int)
int | frameWidth () const
QSize | sizeHint () const
Shape | frameShape () const
void | setFrameShape (Shape)
Shadow | frameShadow () const
void | setFrameShadow (Shadow)
int | lineWidth () const
void | setLineWidth (int)
int | midLineWidth () const
void | setMidLineWidth (int)
QRect | frameRect () const
void | setFrameRect (const QRect &)
## Protected Member Functions
bool | event (QEvent *e)
void | paintEvent (QPaintEvent *)
void | changeEvent (QEvent *)
void | drawFrame (QPainter *)
| QFrame (QFramePrivate &dd, QWidget *parent=0, Qt::WindowFlags f=0)
## Properties
Shape | frameShape
Shadow | frameShadow
int | lineWidth
int | midLineWidth
int | frameWidth
QRect | frameRect

## Member Enumeration Documentation

enum Shape

Search for all occurrences

Enumerator:

  NoFrame | Search for all occurrences
  Box | Search for all occurrences
  Panel | Search for all occurrences
  WinPanel | Search for all occurrences
  HLine | Search for all occurrences
  VLine | Search for all occurrences
  StyledPanel | Search for all occurrences

Definition at line 78 of file qframe.h.

                   {
            NoFrame  = 0, // no frame
            Box = 0x0001, // rectangular box
            Panel = 0x0002, // rectangular panel
            WinPanel = 0x0003, // rectangular panel (Windows)
            HLine = 0x0004, // horizontal line
            VLine = 0x0005, // vertical line
            StyledPanel = 0x0006 // rectangular panel depending on the GUI style

    #if defined(QT3_SUPPORT) && !defined(Q_MOC_RUN)
            ,PopupPanel = StyledPanel, // rectangular panel depending on the GUI style
            MenuBarPanel = StyledPanel,
            ToolBarPanel = StyledPanel,
            LineEditPanel = StyledPanel,
            TabWidgetPanel = StyledPanel,
            GroupBoxPanel = StyledPanel
    #endif
        };

enum Shadow

Search for all occurrences

Enumerator:

  Plain | Search for all occurrences
  Raised | Search for all occurrences
  Sunken | Search for all occurrences

Definition at line 96 of file qframe.h.

                    {
            Plain = 0x0010, // plain line
            Raised = 0x0020, // raised shadow effect
            Sunken = 0x0030 // sunken shadow effect
        };

enum StyleMask

Search for all occurrences

Enumerator:

  Shadow_Mask | Search for all occurrences
  Shape_Mask | Search for all occurrences

Definition at line 102 of file qframe.h.

                       {
            Shadow_Mask = 0x00f0, // mask for the shadow
            Shape_Mask = 0x000f // mask for the shape
    #if defined(QT3_SUPPORT)
            ,MShadow = Shadow_Mask,
            MShape = Shape_Mask
    #endif
        };

## Constructor & Destructor Documentation

QFrame | ( | QWidget * | parent = `0`,
|  | Qt::WindowFlags | f = `0`
| ) |  | `[explicit]`

~QFrame | ( |  | ) |

QFrame | ( | QFramePrivate & | dd,
|  | QWidget * | parent = `0`,
|  | Qt::WindowFlags | f = `0`
| ) |  | `[protected]`

## Member Function Documentation

int frameStyle | ( |  | ) | const

Search for all occurrences

void setFrameStyle | ( | int |  | ) |

Search for all occurrences

int frameWidth | ( |  | ) | const

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in CurveEditor, QAbstractScrollArea, QColumnView, QGraphicsView, QHeaderView, QLabel, QLCDNumber, QMdiArea, QScrollArea, and QSplitter.

Shape frameShape | ( |  | ) | const

Search for all occurrences

void setFrameShape | ( | Shape |  | ) |

Search for all occurrences

Shadow frameShadow | ( |  | ) | const

Search for all occurrences

void setFrameShadow | ( | Shadow |  | ) |

Search for all occurrences

int lineWidth | ( |  | ) | const

Search for all occurrences

void setLineWidth | ( | int |  | ) |

Search for all occurrences

int midLineWidth | ( |  | ) | const

Search for all occurrences

void setMidLineWidth | ( | int |  | ) |

Search for all occurrences

QRect frameRect | ( |  | ) | const

Search for all occurrences

void setFrameRect | ( | const QRect & |  | ) |

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QAbstractItemView, QAbstractScrollArea, QGraphicsView, QHeaderView, QLabel, QLCDNumber, QListView, QListWidget, QMdiArea, QPlainTextEdit, QScrollArea, QSplitter, QStackedWidget, QTableWidget, QTextBrowser, QTextEdit, QToolBox, and QTreeWidget.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in CurveEditor, QAbstractScrollArea, QGraphicsView, QHeaderView, QLabel, QLCDNumber, QListView, QMdiArea, QPlainTextEdit, QTableView, QTextBrowser, QTextEdit, and QTreeView.

void changeEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QLabel, QPlainTextEdit, QSplitter, QTextEdit, and QToolBox.

void drawFrame | ( | QPainter * |  | ) | `[protected]`

Search for all occurrences

## Property Documentation

Shape frameShape `[read, write]`

Search for all occurrences

Definition at line 60 of file qframe.h.

Shadow frameShadow `[read, write]`

Search for all occurrences

Definition at line 61 of file qframe.h.

int lineWidth `[read, write]`

Search for all occurrences

Definition at line 62 of file qframe.h.

int midLineWidth `[read, write]`

Search for all occurrences

Definition at line 63 of file qframe.h.

int frameWidth `[read]`

Search for all occurrences

Definition at line 64 of file qframe.h.

QRect frameRect `[read, write]`

Search for all occurrences

Definition at line 65 of file qframe.h.

The documentation for this class was generated from the following file:

- QtGui/qframe.h

QFrame QFrame QFrame QFrame QFrame QFrame QFrame QFrame QFrame QFrame
QFrame QFrame QFrame QFrame QFrame QFrame QFrame QFrame QFrame QFrame